#ifdef WINDOWS
#ifndef WINH
#define WINH
#ifdef WINCPP
#define EXT 
#else
#define EXT extern
#endif

#include "defs.h"

#define WIDTH 320
#define HEIGHT 200
#define BPP 8

EXT int isFullscreen;

EXT void WinCycle();
EXT Uword WinGetKey();
EXT Bool WinKeyAvailable();
EXT void KeyReleased(Uword wParam, Bool extended);
EXT void KeyPressed(Uword wParam, Bool extended);
EXT void CharPressed(Uword wParam, Bool extended);
EXT void WinGetMouseStats(Word *xChange, Word *yChange, Word *btns);
EXT Uchar * WinGetScreen();
EXT void WinBlit();
EXT void ExitToWindows();
EXT void WinInit(int fullscreen);
EXT void WinStorePalette(int firstColor, int numColors, Uchar *tmppal);
EXT void WinClear();
EXT void WinShow();
EXT void error(char *str);
EXT void RestoreDisplayMode();

EXT void PopKey(Uword &key);
EXT void TranslateAndPushKey(Uword wParam, Bool extended, Bool isChar);
EXT void PushAKeyOnStack(int key);

#endif
#endif